defmodule LinkShortener.Links.Link do
  use Ecto.Schema
  import Ecto.Changeset
  import Ecto.Query

  alias LinkShortener.Accounts.User

  schema "links" do
    field :name, :string
    field :url, :string
    field :shorten, :string
    belongs_to :user, User

    timestamps()
  end

  @doc false
  def changeset(link, attrs) do
    link
    |> cast(attrs, [:name, :url, :shorten, :user_id])
    |> validate_required([:url, :shorten, :user_id])
    |> unique_constraint(:shorten)
  end
end
