defmodule LinkShortenerWeb.Api.V1.LinkJSON do
  alias LinkShortener.Links.Link

  def index(%{links: links}) do
    %{data: for(link <- links, do: link(link))}
  end

  def show(%{link: link}) do
    %{data: link(link)}
  end

  def link(%Link{} = link) do
    %{
      id: link.id,
      name: link.name,
      url: link.url,
      shorten: link.shorten
    }
  end
end
